### Enumeration

# Gio SettingsBindFlags

since: 2.0

#### Declaration

    flags Gio.SettingsBindFlags

#### Description

Flags used when creating a binding. These flags determine in which direction the binding works. The default is to synchronize in both directions.

Available since: 2.0

#### Members

`G_SETTINGS_BIND_DEFAULT`

  Equivalent to `G_SETTINGS_BIND_GET|G_SETTINGS_BIND_SET`

  - Value: `0`
  - Nickname: `default`
  - Available since: 2.0
`G_SETTINGS_BIND_GET`

  Update the `GObject` property when the setting changes. It is an error to use this flag if the property is not writable.

  - Value: `1`
  - Nickname: `get`
  - Available since: 2.0
`G_SETTINGS_BIND_SET`

  Update the setting when the `GObject` property changes. It is an error to use this flag if the property is not readable.

  - Value: `2`
  - Nickname: `set`
  - Available since: 2.0
`G_SETTINGS_BIND_NO_SENSITIVITY`

  Do not try to bind a “sensitivity” property to the writability of the setting.

  - Value: `4`
  - Nickname: `no-sensitivity`
  - Available since: 2.0
`G_SETTINGS_BIND_GET_NO_CHANGES`

  When set in addition to `G_SETTINGS_BIND_GET`, set the `GObject` property value initially from the setting, but do not listen for changes of the setting.

  - Value: `8`
  - Nickname: `get-no-changes`
  - Available since: 2.0
`G_SETTINGS_BIND_INVERT_BOOLEAN`

  When passed to g_settings_bind(), uses a pair of mapping functions that invert the boolean value when mapping between the setting and the property. The setting and property must both be booleans. You cannot pass this flag to g_settings_bind_with_mapping().

  - Value: `16`
  - Nickname: `invert-boolean`
  - Available since: 2.0